Open Surge Forum

A fun 2D retro platformer inspired by Sonic games and a game creation system

You are not logged in.

Announcement

Our community has moved to Discord! https://discord.gg/w8JqM7m

#2 Re: General » Package available for Arch Linux (AUR) » 2013-10-13 15:14:41

Alright, it worked. It is Allegro's fault. But now, I have problem with nanoparser not able to read the game files (quests/default.something). It worked if I run it from my home directory (just make). But if I run it from the installation directory (after installing with make install), this error will come out.

Terminal log: http://lpaste.net/94233

It's still the same, even if I run it as root. So, I'm not sure if it's really just some permissions problem. Any help is appreciated.

#3 Re: General » Ubuntu Opensurge » 2013-10-13 15:12:07

Build it from scratch, it's fairly straightforward.

#4 Re: General » Package available for Arch Linux (AUR) » 2013-10-12 18:30:01

Ah, this might be related to allegro being compiled with an older version of libpng. I'll have my allegro rebuilt and try it out.

#5 General » Package available for Arch Linux (AUR) » 2013-10-12 18:28:27

acrox999
Replies: 2

If you're looking for the PKGBUILD for Arch Linux: https://aur.archlinux.org/packages/opensonic-svn/

But package isn't properly working, see this post: http://opensnc.sourceforge.net/forum/vi … 099#p13099

I've successfully built Open Surge from the latest source, but upon launching the game, I got this error:

libpng warning: Application built with libpng-1.5.10 but running with 1.6.5
Shutting down Allegro due to signal #11
Segmentation fault (core dumped)

I see that there's a lot of problems regarding incompatible libpng, but I do not know how to fix this. Do I have to set somewhere before building the game so that it'd use my libpng instead of the one provided by your sources?

Board footer

Powered by FluxBB  hosted by tuxfamily.org